## org.apache.axis.attachments
Class DimeAttachmentStreams

    java.lang.Object
      org.apache.axis.attachments.IncomingAttachmentStreams
          org.apache.axis.attachments.DimeAttachmentStreams

public final class DimeAttachmentStreams
extends IncomingAttachmentStreams

This is the concrete implementation of the IncomingAttachmentStreams class and is used to parse data that is in the DIME format. This class will make use of Axis� DimeDelimitedInputStream to parse the data in the HTTP stream which will give this class the capability of creating IncomingAttachmentInputStream objects at each marker within the HTTP stream.

Author:
  David Wong, Brian Husted

Nested Class Summary

Nested classes inherited from class org.apache.axis.attachments.IncomingAttachmentStreams
`IncomingAttachmentStreams.IncomingAttachmentInputStream`

Constructor Summary
`DimeAttachmentStreams(DimeDelimitedInputStream stream)`

Method Summary
`IncomingAttachmentStreams.IncomingAttachmentInputStream` `getNextStream()`

Methods inherited from class org.apache.axis.attachments.IncomingAttachmentStreams
`isReadyToGetNextStream, setReadyToGetNextStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DimeAttachmentStreams

    public DimeAttachmentStreams(DimeDelimitedInputStream stream)
                          throws AxisFault

Method Detail

### getNextStream

    public IncomingAttachmentStreams.IncomingAttachmentInputStream getNextStream()
                                                                          throws AxisFault

  Specified by:
    `getNextStream` in class `IncomingAttachmentStreams`
  Returns:
    The next delimited stream or null if no additional streams are left.
  Throws:
    `AxisFault`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.